<?php
    function renderHead()
    {
        ?>

            <meta name="viewport" content="initial-scale=1, width=device-width" />

            <link rel="stylesheet" href="/files/bootstrap-5.3.8-dist/css/bootstrap.min.css" />
            <link rel="stylesheet" href="/files/fontawesome-free-7.0.0-web/css/all.min.css" />

            <script src="/files/jquery-3.7.1.min.js"></script>
            <script src="/files/bootstrap-5.3.8-dist/js/bootstrap.min.js"></script>
            <script src="/files/fontawesome-free-7.0.0-web/js/all.min.js"></script>
            <script src="/files/datatables-2.3.3/datatables.min.js"></script>
            <script src="/files/moment-2.30.1.js"></script>
            <script src="/files/chart-3.9.1.min.js"></script>

            <script src="/js/Extensions.js"></script>

            <script>
                fnApplyDark = function()
                {
                    const prefersDark = window.matchMedia("(prefers-color-scheme: dark)").matches;
                    
                    if (prefersDark)
                        $("body").attr("data-bs-theme", "dark");
                };

                $(function() {
                    // Guarantee this function runs after a page load:
                    fnApplyDark();
                });
            </script>
        <?php
    }
?>

<?php renderHead(); ?>
